Market Data

data-masterData

Retrieve ceiling, floor, and reference price information for securities by trading date.

GET
/api/v3/data/masterdata

Authorization

Bearer
AuthorizationBearer <token>

Enter the JWT token in the format Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

The content format of the request body, use "application/json".

User-Agentstringoptional

Information about the client sending the request.

Accept-Languagestringoptional

The desired response language. If this header is absent, the system defaults to en.

Query Parameters

fromstringoptional

The start date in `YYYY/MM/DD` format. If not provided, the system returns the latest date's data.

tostringoptional

The end date in `YYYY/MM/DD` format. If not provided, the system returns the latest date's data.

pageIndexintegeroptional

The page index for paginated results, starting from 1. If not provided, the system uses the default value of 1.

pageSizeintegeroptional

The number of records per page for paginated results. If not provided, the system uses the default value of 10.

Response Headers

X-RATELIMIT-LIMITstringoptional

The request limit for the period.

X-RATELIMIT-REMAININGstringoptional

The number of requests remaining in the current period.

X-RATELIMIT-RESETstringoptional

The time at which the request limit resets.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/data/masterdata" \  -H "Content-Type: application/json"

Success

{
  "pageSize": 0,
  "pageIndex": 0,
  "pagesCount": 0,
  "itemsCount": 0,
  "data": [
    {
      "symbol": "string",
      "exchange": "string",
      "tradingDate": "string",
      "ceiling": "string",
      "floor": "string",
      "refPrice": "string"
    }
  ]
}

Invalid request.

{
  "code": "400",
  "msg": "Invalid request"
}